%define drakxtools_required_version  10.4.89-1mdv2007.0
%define drakxtools_conflicted_version  10.4.88

%define libname %mklibname %{name}

Summary:  Backup and restore the system
Name:     drakbackup
Version:  0.6
Release:  %mkrel 1
Source0:  %name-%version.tar.bz2
License:  GPL
Group:    System/Configuration/Printing
Url:      http://www.mandrivalinux.com/en/cvs.php3
BuildRequires: perl-MDK-Common-devel
Requires: drakxtools => %drakxtools_required_version
BuildRoot: %_tmppath/%name-%version-buildroot
# for program:
Conflicts: drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version
BuildArch: noarch

%description
Drakbackup enables to  backup and restore the system.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%_sbindir/*
/usr/lib/libDrakX/icons/*
/usr/share/libDrakX/pixmaps/*
/usr/share/applications/drakbackup.desktop
%_mandir/*/*


%changelog
* Thu Mar 08 2007 Stew Benedict <sbenedict@mandriva.com> 0.6-1mdv2007.1
+ Revision: 137777
- bump to 0.6

* Sun Feb 25 2007 Stew Benedict <sbenedict@mandriva.com> 0.5-1mdv2007.1
+ Revision: 125653
- Update the Changelog a bit too
- fix tarball Makefile
- bump to 0.5
  Drop ATAPI argument for wodim
  Allow writing direct to CD/DVD with no intermediate ISO image
  Allow using -force argument for wodim (had to use locally for some slow media)
  Handle gzipped file lists correctly
  We don't need to own drakconnect man pages

* Fri Feb 23 2007 Stew Benedict <sbenedict@mandriva.com> 0.4-1mdv2007.1
+ Revision: 125132
- remove old tarballs
  Fix for #28489 (user defined BLOCK_SIZE env var -> commas in df output)
  Fix categories in .desktop file (fcrozat)
- bump to 0.4

* Sun Feb 18 2007 Stew Benedict <sbenedict@mandriva.com> 0.3-1mdv2007.1
+ Revision: 122504
- 0.3 - fix for migration from cdrecord -> cdrkit (#28526)

* Sat Feb 17 2007 Stew Benedict <sbenedict@mandriva.com> 0.2-1mdv2007.1
+ Revision: 122178
- 0.2 - fixes for #27780, #27783, #28656

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2007.1
+ Revision: 110744
- do not require printerdrake

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1mdv2007.1
+ Revision: 106617
- Import drakbackup




* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdv2007.1
- initial release (splited out of drakxtools)
